%define modname pcspkr
%define sysinitfile /etc/rc.d/rc.sysinit
#
Summary: Enables the PC speaker by loading the driver.
Name: SL_pc_speaker
Version: 1.0
Release: 1
License: GPL
Group: SL
Packager: Paul A. Rombouts
BuildArchitectures: noarch
requires: initscripts

%description
This package changes the rc.sysinit boot script so that
the %{modname} kernel module is loaded at an early stage.
This will allow the PC speaker to beep again.

%files
%post
#
# This script may not work on modified files.
#
if [ -f %{sysinitfile} ] ; then
	sed -e 's:^\([[:blank:]]*audio="\?\)\("\?[[:blank:]]*\)$:\1%{modname}\2:' %{sysinitfile} > %{sysinitfile}.tmp
	chmod --reference=%{sysinitfile} %{sysinitfile}.tmp
	mv -f %{sysinitfile}.tmp %{sysinitfile}
fi
modprobe %{modname}

%postun
if [ "$1" = "0" ] ; then
	if [ -f %{sysinitfile} ] ; then
		sed -e 's:^\([[:blank:]]*audio="\?\)%{modname}\("\?[[:blank:]]*\)$:\1\2:' %{sysinitfile} > %{sysinitfile}.tmp
		chmod --reference=%{sysinitfile} %{sysinitfile}.tmp
		mv -f %{sysinitfile}.tmp %{sysinitfile}
	fi
fi

%triggerin -- initscripts
if [ -f %{sysinitfile} ] ; then
	sed -e 's:^\([[:blank:]]*audio="\?\)\("\?[[:blank:]]*\)$:\1%{modname}\2:' %{sysinitfile} > %{sysinitfile}.tmp
	chmod --reference=%{sysinitfile} %{sysinitfile}.tmp
	mv -f %{sysinitfile}.tmp %{sysinitfile}
fi

%changelog
* Fri Jul 29 2005 Paul Rombouts <p.a.rombouts@home.nl>
- Wrote initial spec file based on examples by Troy Dawson.


